# OqlQueryExpressionClause Class Reference
[Object Query Language based on Criteria]

Inheritance diagram for OqlQueryExpressionClause:
[legend]

List of all members.

## Public Member Functions

| getExpression ()
| setExpression (OqlQueryExpression $expression)
| toLogic ()

## Static Protected Member Functions

static | checkExpression (OqlQueryExpression $expression)

## Protected Attributes

| $expression = null

## Detailed Description

Definition at line 15 of file OqlQueryExpressionClause.class.php.

## Member Function Documentation

static OqlQueryExpressionClause::checkExpression | ( | OqlQueryExpression $ | expression | ) | `[static, protected]`

Reimplemented in OqlHavingClause, and OqlWhereClause.

Definition at line 45 of file OqlQueryExpressionClause.class.php.

Referenced by setExpression().

OqlQueryExpressionClause::getExpression | ( |  | ) |

Returns:
  OqlQueryExpression

Definition at line 22 of file OqlQueryExpressionClause.class.php.

OqlQueryExpressionClause::setExpression | ( | OqlQueryExpression $ | expression | ) |

Returns:
  OqlQueryExpressionClause

Definition at line 30 of file OqlQueryExpressionClause.class.php.

References checkExpression().

Here is the call graph for this function:

OqlQueryExpressionClause::toLogic | ( |  | ) |

Definition at line 38 of file OqlQueryExpressionClause.class.php.

References Assert::isNotNull().

Referenced by OqlHavingClause::toProjection().

Here is the call graph for this function:

## Member Data Documentation

OqlQueryExpressionClause::$expression = null`[protected]`

Definition at line 17 of file OqlQueryExpressionClause.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Statements/OqlQueryExpressionClause.class.php